Get Batch Class Curriculum
Returns the sections of one class (subject) in the learner's batch, with the learner's progress in each, plus assignments, class details and stats. Use it to build the learner's subject page.
GET
/student/classcurriculum/{ClassId}/resourcesGet Batch Class Curriculum
curl --request GET \
--url 'https://<your-api-host>/nuSource/api/v1/student/classcurriculum/{ClassId}/resources'{
"code": 200,
"message": "Success",
"sections": [
[
5284,
"CHINTA",
3,
3,
0,
0,
0,
0,
0,
0,
0,
1,
0,
0,
0,
"",
0
],
[
1642,
"Vis",
18,
3,
0,
0,
0,
0,
0,
0,
0,
1,
0,
0,
0,
"",
0
],
[
23,
"Unit 1",
15,
37,
0,
0,
0,
0,
0,
0,
0,
1,
0,
0,
1,
"",
0
],
[
457,
"Unit 2",
0,
9,
0,
0,
0,
0,
0,
0,
0,
1,
0,
0,
1,
"",
0
],
[
494,
"Availability_Test",
3,
3,
0,
0,
0,
0,
0,
0,
0,
1,
0,
0,
1,
"",
1
],
[
458,
"Unit 3",
2,
3,
0,
0,
0,
0,
0,
0,
0,
1,
0,
0,
1,
"",
0
],
[
459,
"Unit 4 - The 'Shan' and other Words & Homophones",
3,
0,
0,
0,
0,
0,
0,
0,
0,
1,
0,
0,
1,
"",
0
],
[
460,
"Unit 5",
0,
5,
0,
0,
0,
0,
0,
0,
0,
1,
0,
0,
1,
"",
0
],
[
461,
"Unit 6",
4,
0,
0,
0,
0,
0,
0,
0,
0,
1,
0,
0,
1,
"",
0
],
[
462,
"Unit 7",
0,
0,
0,
0,
0,
0,
0,
0,
0,
1,
0,
0,
1,
"",
0
],
[
463,
"Unit 8",
0,
0,
0,
0,
0,
0,
0,
0,
0,
1,
0,
0,
1,
"",
0
],
[
464,
"Unit 9",
0,
0,
0,
0,
0,
0,
0,
0,
0,
1,
0,
0,
1,
"",
0
],
[
465,
"Unit 10",
0,
0,
0,
0,
0,
0,
0,
0,
0,
1,
0,
0,
1,
"",
0
],
[
466,
"Unit 11",
0,
2,
0,
0,
0,
0,
0,
0,
0,
1,
0,
0,
1,
"",
0
],
[
467,
"Unit 12",
0,
0,
0,
0,
0,
0,
0,
0,
0,
1,
0,
0,
1,
"",
0
],
[
468,
"Unit 13",
0,
0,
0,
0,
0,
0,
0,
0,
0,
1,
0,
0,
1,
"",
0
],
[
469,
"Unit 14",
0,
0,
0,
0,
0,
0,
0,
0,
0,
1,
0,
0,
1,
"",
0
],
[
470,
"Unit 15",
0,
0,
0,
0,
0,
0,
0,
0,
0,
1,
0,
0,
1,
"",
0
],
[
471,
"Unit 16",
0,
0,
0,
0,
0,
0,
0,
0,
0,
1,
0,
0,
1,
"",
0
],
[
472,
"Unit 17",
0,
0,
0,
0,
0,
0,
0,
0,
0,
1,
0,
0,
1,
"",
0
],
[
473,
"U81nit ",
0,
1,
0,
0,
0,
0,
0,
0,
0,
1,
0,
0,
1,
"",
0
],
[
474,
"Unit 19",
1,
0,
0,
0,
0,
0,
0,
0,
0,
1,
0,
0,
1,
"",
0
],
[
475,
"Unit 20",
1,
4,
0,
0,
0,
0,
0,
0,
0,
1,
0,
0,
1,
"",
0
],
[
5276,
"sasa",
0,
1,
0,
0,
0,
0,
0,
0,
0,
1,
0,
0,
0,
"",
0
],
[
5277,
"Cjintan",
0,
0,
0,
0,
0,
0,
0,
0,
0,
1,
0,
0,
0,
"",
0
],
[
5278,
"21212",
0,
0,
0,
0,
0,
0,
0,
0,
0,
1,
0,
0,
0,
"",
0
],
[
5279,
"Chintan FInal",
0,
0,
0,
0,
0,
0,
0,
0,
0,
1,
0,
0,
0,
"",
0
],
[
5280,
"LSAt sectuin",
0,
0,
0,
0,
0,
0,
0,
0,
0,
1,
0,
0,
0,
"",
0
],
[
5310,
"TestHemal",
0,
0,
0,
0,
0,
0,
0,
0,
0,
1,
0,
0,
0,
"",
0
]
],
"assignments": [
[
8,
"Assignment 1",
0,
1,
0,
0,
0,
0
],
[
10,
"Assign 2",
0,
1,
0,
0,
0,
0
],
[
11,
"N Prime Number",
0,
1,
0,
0,
0,
0
],
[
12,
"php code",
0,
1,
0,
0,
0,
0
],
[
13,
"assignment",
0,
0,
0,
0,
0,
0
],
[
23,
"test prog",
0,
1,
0,
0,
0,
0
],
[
27,
"testing",
0,
1,
0,
0,
0,
0
]
],
"class": {
"class_id": 858,
"course_id": 23,
"class_name": "Physics For IIT",
"organization_id": 2,
"tutor_id": 1,
"tutor_name": " Gaurav Kapoor",
"tutor_username": "harshit",
"course_name": "Physics For IIT",
"status": 1,
"category": 3,
"resource_only_course": 0,
"free_preview_allowed": null,
"institution_bundle_id": null,
"pretty_name": null,
"mb_pretty_name": "CET",
"mb_institution_bundle_id": 7,
"stats": {
"class_id": "858",
"class_name": "Physics For IIT",
"course_num_exercises": "50",
"course_num_quizzes": "12",
"course_num_assignments": "7",
"course_num_materials": "71",
"course_num_sections": "29",
"total_items": "140",
"user_uattempts": "0",
"user_passed": "0",
"user_usubmissions": "0",
"user_mat_uviews": "0",
"user_uattempts_quiz": "0",
"user_passed_quiz": "0",
"student_name": "FreePreview",
"student_username": "FreePreview7414424",
"num_students": "7",
"c_attempts": "0",
"avg_grade": "0",
"user_attempts": "0",
"user_perfect": "0",
"rank": "1",
"rank_ties": 3,
"class_progress": 0
}
},
"courses_payments_pending": [],
"courses_payment_ids": [],
"free_preview_courses": [],
"free_preview_courses_payments": []
}Access: Learners enrolled in the class.
Path parameters
The class ID (from the batch's classes), as the number in the URL.
Query parameters
response_typeinteger
1 returns each section as a JSON object. 2 (default) returns each section as a positional array.Response
codeinteger
Example:
200messagestring
Example:
Successsectionsinteger[][]
Published sections in display order
assignmentsinteger[][]
Always positional arrays
classobject
Class and tutor details
Show child attributesHide child attributes
class.class_idinteger
Example:
858class.course_idinteger
Example:
23class.class_namestring
Example:
Physics For IITclass.organization_idinteger
Example:
2class.tutor_idinteger
Example:
1class.tutor_namestring
Example:
Gaurav Kapoorclass.tutor_usernamestring
Example:
harshitclass.course_namestring
Example:
Physics For IITclass.statusinteger
Example:
1class.categoryinteger
Example:
3class.resource_only_courseinteger
Example:
0class.mb_pretty_namestring
Example:
CETExample:
7class.statsobject
Learner's counts as strings,
rank, rank_ties, class_progress percentShow child attributesHide child attributes
class.stats.class_idstring
Example:
858class.stats.class_namestring
Example:
Physics For IITExample:
50Example:
12Example:
7Example:
71Example:
29class.stats.total_itemsstring
Example:
140Example:
0class.stats.user_passedstring
Example:
0Example:
0Example:
0Example:
0class.stats.student_namestring
Example:
FreePreviewExample:
FreePreview7414424class.stats.num_studentsstring
Example:
7class.stats.c_attemptsstring
Example:
0class.stats.avg_gradestring
Example:
0Example:
0class.stats.user_perfectstring
Example:
0class.stats.rankstring
Example:
1class.stats.rank_tiesinteger
Example:
3class.stats.class_progressinteger
Example:
0courses_payment_idsarray
free_preview_coursesarray
Notes: A class the learner has no access to returns "You do not have access to this class". Rate limit: 30 requests per 1 minute; going over locks you out for 30 minutes.